import request from '@/utils/request';

// 获取订单列表
export function orderList(data, params) {
  return request({
    url: '/order/list',
    method: 'post',
    data,
    params
  });
}
// 获取活动领取名单列表
export function userList(params) {
  return request({
    url: '/aUser/userList',
    params
  });
}
// 添加活动领取名单
export function aUserCreate(data) {
  return request({
    url: '/aUser/create',
    method: 'post',
    data
  });
}
// 修改活动领取名单
export function aUserUpdate(data) {
  return request({
    url: '/aUser/update',
    method: 'post',
    data
  });
}
// 批量删除活动领取名单
export function aUserDelete(data) {
  return request({
    url: '/aUser/delete',
    method: 'post',
    data
  });
}

// 删除订单
export function orderDelete(params) {
  return request({
    url: '/order/delete',
    params
  });
}
// 获取二维码列表
export function qrList(params) {
  return request({
    url: '/qr/list',
    params
  });
}
// 添加二维码
export function qrCreate(data) {
  return request({
    url: '/qr/create',
    method: 'post',
    data
  });
}
// 修改二维码
export function qrUpdate(data) {
  return request({
    url: '/qr/update',
    method: 'post',
    data
  });
}
// 删除二维码
export function qrDelete(params) {
  return request({
    url: '/qr/delete',
    params
  });
}

// 获取用户详细信息
export function getList(params) {
  return request({
    url: '/customer/getList',
    params
  });
}
// 编辑/删除客户(status = -1)
export function handleUser(data) {
  return request({
    url: '/customer/handleUser',
    method: 'post',
    data
  });
}
// 手动添加客户
export function addUser(data) {
  return request({
    url: '/customer/addUser',
    method: 'post',
    data
  });
}
// 分页获取商品列表
export function getList2(params) {
  return request({
    url: '/product/getList',
    params
  });
}
// 添加商品
export function addProduct(data) {
  return request({
    url: '/product/addProduct',
    method: 'post',
    data
  });
}
// 更新商品/删除(status = -1)
export function handleProduct(data) {
  return request({
    url: '/product/handleProduct',
    method: 'post',
    data
  });
}
// 根据手机号/处理状态分页获取订单列表
export function getList3(params) {
  return request({
    url: '/webOrder/getList',
    params
  });
}
// 处理订单
export function handleOrder(data) {
  return request({
    url: '/webOrder/handleOrder',
    method: 'post',
    data
  });
}
// Excel导入
export function importDate(data) {
  return request({
    url: '/webOrder/importDate',
    method: 'post',
    data
  });
}
